% Authors
%   * Jinhong Jung (jinhongjung@snu.ac.kr)
%   * Woojeong Jin (woojeong.jin@usc.edu)
%   * U Kang (ukang@snu.ac.kr)
%
% Reference
%   * Random Walk Based Ranking in Signed Social Networks: Model and Algorithms 
%   * Jinhong Jung, Woojung Jin, and U Kang
%   * Knowledge and Information Systems (KAIS), Springer (to appear)
%
%
% This software may be used only for research evaluation purposes.
% For other purposes (e.g., commercial), please contact the authors.


function Mex_compile(debug_mode)
%
% Mex_compile: Pre-processing phase of BEAR.
%

if nargin == 0
	debug_mode = 0;
end

if debug_mode == 1
	debug_opt = ', ''-g''';
else
	debug_opt = '';
end


compile_str = {
    gen_command('./', 'ComputeConnComp');
};

for i=1:length(compile_str)
	fprintf('Evaluate:\n\t%s\n', compile_str{i});
	eval(compile_str{i});
	fprintf('Done!\n');
end

end

function [cmd] = gen_command(SOURCE_HOME_PATH, FILE_NAME)
    cmd = sprintf('mex(''CXXFLAGS=-ansi -std=c++0x -D_SNU_SOURCE -fPIC -pthread -O2 -DNDEBUG -g'', ''%s/%s.cpp'', ''-largeArrayDims'', ''-outdir'', ''%s'')', SOURCE_HOME_PATH, FILE_NAME, SOURCE_HOME_PATH);
end
